Xerces2 Implementation: Class DTDDVFactoryImpl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.dtd
Class DTDDVFactoryImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.DTDDVFactory
            |
            +--org.apache.xerces.impl.dv.dtd.DTDDVFactoryImpl

Direct Known Subclasses:
  XML11DTDDVFactoryImpl

public class DTDDVFactoryImpl
extends DTDDVFactory

the factory to create/return built-in schema DVs and create user-defined DVs

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: DTDDVFactoryImpl.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Sandy Gao, IBM

Constructor Summary
`DTDDVFactoryImpl()`

Method Summary
`DatatypeValidator` | `getBuiltInDV(java.lang.String name)` return a dtd type of the given name
`java.util.Hashtable` | `getBuiltInTypes()` get all built-in DVs, which are stored in a hashtable keyed by the name

Methods inherited from class org.apache.xerces.impl.dv.DTDDVFactory
`getInstance, getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTDDVFactoryImpl

    public DTDDVFactoryImpl()

Method Detail

### getBuiltInDV

    public DatatypeValidator getBuiltInDV(java.lang.String name)

  return a dtd type of the given name
  Overrides:
    `getBuiltInDV` in class `DTDDVFactory`
  Parameters:
    `name` - the name of the datatype
  Returns:
    the datatype validator of the given name

### getBuiltInTypes

    public java.util.Hashtable getBuiltInTypes()

  get all built-in DVs, which are stored in a hashtable keyed by the name
  Overrides:
    `getBuiltInTypes` in class `DTDDVFactory`
  Returns:
    a hashtable which contains all datatypes

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.